lucene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hoss...@apache.org
Subject svn commit: r1526272 - /lucene/dev/trunk/dev-tools/scripts/prep-solr-ref-guide-rc.sh
Date Wed, 25 Sep 2013 19:30:39 GMT
Author: hossman
Date: Wed Sep 25 19:30:39 2013
New Revision: 1526272

URL: http://svn.apache.org/r1526272
Log:
SOLR-5085: fix script to use proper pdf file name in sha1 checksum file (should not include
directory path)

Modified:
    lucene/dev/trunk/dev-tools/scripts/prep-solr-ref-guide-rc.sh

Modified: lucene/dev/trunk/dev-tools/scripts/prep-solr-ref-guide-rc.sh
URL: http://svn.apache.org/viewvc/lucene/dev/trunk/dev-tools/scripts/prep-solr-ref-guide-rc.sh?rev=1526272&r1=1526271&r2=1526272&view=diff
==============================================================================
--- lucene/dev/trunk/dev-tools/scripts/prep-solr-ref-guide-rc.sh (original)
+++ lucene/dev/trunk/dev-tools/scripts/prep-solr-ref-guide-rc.sh Wed Sep 25 19:30:39 2013
@@ -57,7 +57,7 @@ fi
 
 PREFIX="apache-solr-ref-guide"
 DIR="$PREFIX-$VER_RC"
-PDF="$DIR/$PREFIX-$VER.pdf"
+PDF="$PREFIX-$VER.pdf"
 SHA="$PDF.sha1"
 GPG="$PDF.asc"
 
@@ -77,7 +77,8 @@ fi
 set -x
 
 mkdir $DIR || exit 1
-mv $SRC_FILE $PDF || exit 1
+mv $SRC_FILE $DIR/$PDF || exit 1
+cd $DIR || exit 1
 sha1sum $PDF > $SHA || exit 1
 gpg $GPG_ID_ARG --armor --output $GPG --detach-sig $PDF|| exit 1
 



Mime
View raw message